## org.apache.ivy.plugins.latest
Interface LatestStrategy

All Known Implementing Classes:
  AbstractLatestStrategy, ComparatorLatestStrategy, LatestLexicographicStrategy, LatestRevisionStrategy, LatestTimeStrategy, OsgiLatestStrategy

    public interface LatestStrategy

Method Summary
`ArtifactInfo` `findLatest(ArtifactInfo[] infos, java.util.Date date)` Finds the latest artifact among the given artifacts info.
`java.lang.String` `getName()`
`java.util.List` `sort(ArtifactInfo[] infos)` Sorts the given artifacts info from the oldest one to the latest one.

Method Detail

### findLatest

    ArtifactInfo findLatest(ArtifactInfo[] infos,
                            java.util.Date date)

  Finds the latest artifact among the given artifacts info. The definition of 'latest' depends on the strategy itself. Given artifacts info are all good candidate. If the given date is not null, then found artifact should not be later than this date.

  Parameters:
    `infos` -
    `date` -
  Returns:
    the latest artifact among the given ones.

### sort

    java.util.List sort(ArtifactInfo[] infos)

  Sorts the given artifacts info from the oldest one to the latest one. The definition of 'latest' depends on the strategy itself. Given artifacts info are all good candidate.

  Parameters:
    `infos` -
  Returns:

### getName

    java.lang.String getName()